CREATE PROCEDURE "DBA"."pa_gl_pa_tasu"( in a_lepnr integer default 0, in a_a_akuu numeric(2) default 0, in a_a_aasta numeric(4) default 0)
BEGIN
  delete from gl_pa_tasu;
  insert into gl_pa_tasu(tasunr,tas_s,paryldnr,a_aasta,a_apaev,a_lpaev)
    select pa_tasu.tasunr,pa_tasu.tas_s,pa_tasu.paryldnr,pa_tasu.a_aasta,pa_tasu.a_apaev,pa_tasu.a_lpaev
      from pa_tasu
      where pa_tasu.lepnr=a_lepnr and pa_tasu.a_akuu=a_a_akuu and pa_tasu.a_aasta=a_a_aasta;
END